<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Misc.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testing</a> &gt; <a href="index.source.html" class="el_package">com.softwaretesting.testing.util</a> &gt; <span class="el_source">Misc.java</span></div><h1>Misc.java</h1><pre class="source lang-java linenums">package com.softwaretesting.testing.util;

import org.springframework.util.Assert;


<span class="fc" id="L6">public class Misc {</span>
<span class="fc" id="L7">    public enum Color {</span>
<span class="fc" id="L8">        RED,</span>
<span class="fc" id="L9">        YELLOW,</span>
<span class="fc" id="L10">        BLUE</span>
    }

    public static int sum(int arg1, int arg2) {
<span class="fc" id="L14">        return arg1 + arg2;</span>
    }

    public static double divide(int divide, int divideBy) {
<span class="fc bfc" id="L18" title="All 2 branches covered.">        if (divideBy == 0) {</span>
<span class="fc" id="L19">            throw new RuntimeException(&quot;This operation would result in division by zero error.&quot;);</span>
        }

<span class="fc" id="L22">        return divide / divideBy;</span>
    }

    public static boolean isColorSupported(Color color) {
<span class="fc bfc" id="L26" title="All 2 branches covered.">        Assert.isTrue(color != null, &quot;color cannot be null&quot;);</span>

<span class="pc bpc" id="L28" title="1 of 2 branches missed.">        switch (color) {</span>
            case RED:
                /* fallthrough */
            case YELLOW:
<span class="fc" id="L32">            case BLUE: return true;</span>
        }

<span class="nc" id="L35">        return false;</span>
    }

    public static long calculateFactorial(int num) {
<span class="fc bfc" id="L39" title="All 2 branches covered.">        if (num &gt;= 1) {</span>
<span class="fc" id="L40">            return num * calculateFactorial(num - 1);</span>
        }
        else {
<span class="fc" id="L43">            return 1;</span>
        }
    }

    public static boolean isPrime(int n, int i) {
<span class="fc bfc" id="L48" title="All 2 branches covered.">        if (n &lt;= 2) {</span>
<span class="fc bfc" id="L49" title="All 2 branches covered.">            return (n == 2) ? true : false;</span>
        }
<span class="pc bpc" id="L51" title="1 of 2 branches missed.">        if (n % i == 0) {</span>
<span class="fc" id="L52">            return false;</span>
        }
<span class="nc bnc" id="L54" title="All 2 branches missed.">        if (i * i &gt; n) {</span>
<span class="nc" id="L55">            return true;</span>
        }

<span class="nc" id="L58">        return isPrime(n, i + 1);</span>
    }

    public static boolean isEven(int n) {
<span class="fc bfc" id="L62" title="All 2 branches covered.">        if (n % 2 == 0) {</span>
<span class="fc" id="L63">            return true;</span>
        }

<span class="fc" id="L66">        return false;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.10.202304240956</span></div></body></html>